# Generated by Django 4.1.4 on 2022-12-14 18:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('users', '0003_alter_usuario_hashed_password'),
        ('address', '0003_alter_endereco_cep'),
    ]

    operations = [
        migrations.CreateModel(
            name='Camera',
            fields=[
                ('ativo', models.BooleanField(default=True)),
                ('data_criacao', models.DateField(auto_now_add=True)),
                ('data_modificacao', models.DateField(auto_now=True)),
                ('id_camera', models.AutoField(primary_key=True, serialize=False)),
                ('url_camera', models.URLField(verbose_name='Url da câmera')),
                ('cep', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='address.endereco', verbose_name='CEP')),
            ],
            options={
                'verbose_name': 'Câmera',
                'verbose_name_plural': 'Câmeras',
            },
        ),
        migrations.CreateModel(
            name='CameraUsuario',
            fields=[
                ('ativo', models.BooleanField(default=True)),
                ('data_criacao', models.DateField(auto_now_add=True)),
                ('data_modificacao', models.DateField(auto_now=True)),
                ('id_camera_usuario', models.AutoField(primary_key=True, serialize=False)),
                ('data_uso', models.DateField(auto_now=True, verbose_name='Data de uso')),
                ('id_camera', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cameras.camera', verbose_name='Câmera')),
                ('id_usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='users.usuario', verbose_name='Usuário')),
            ],
            options={
                'verbose_name': 'Câmera',
                'verbose_name_plural': 'Câmeras',
            },
        ),
    ]
